Uploaded image for project: 'LAMS Development'
  1. LAMS Development
  2. LDEV-2838

Assessment matching pare doesn't work properly

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.4
    • Fix Version/s: 2.4
    • Component/s: Tool Assessment
    • Labels:
      None

      Description

      Andrey, the guys from Nicosia university have reported a really weird issue with Assessment. Specifically with matching pairs question type.

      I believe there are two issues here:

      1) in some browsers (webkits based ones), you cannot even open the dropdown menu in learner. It won't open at all.

      2) If you are to select them (say using FF), then for the questions that you've got wrong, they don't display in the summary after you submitted the answers.

      I'll send you their sequences shortly

        Activity

        Hide
        dronych Andrey Balan added a comment -
        done

        So there were JS warnings 'event.layerX and event.layerY are broken and deprecated in WebKit.'. And it was fixed by updating jquery lib.

        http://blog.jquery.com/2011/11/03/jquery-1-7-released/
        Removed Features
        event.layerX and event.layerY: We have removed these non-standard properties in version 1.7. Although we normally would have gone through a deprecation notice period for these, Chrome version 16 generates a flood of console warning messages on the page. Because of this, we decided to remove them immediately. On platforms that still support these properties, they are available through event.originalEvent.layerX and event.originalEvent.layerY.
        Show
        dronych Andrey Balan added a comment - done So there were JS warnings 'event.layerX and event.layerY are broken and deprecated in WebKit.'. And it was fixed by updating jquery lib. http://blog.jquery.com/2011/11/03/jquery-1-7-released/ Removed Features event.layerX and event.layerY: We have removed these non-standard properties in version 1.7. Although we normally would have gone through a deprecation notice period for these, Chrome version 16 generates a flood of console warning messages on the page. Because of this, we decided to remove them immediately. On platforms that still support these properties, they are available through event.originalEvent.layerX and event.originalEvent.layerY.
        Hide
        ernieg Ernie Ghiglione added a comment -
        Tested and closed
        Show
        ernieg Ernie Ghiglione added a comment - Tested and closed

          People

          • Assignee:
            dronych Andrey Balan
            Reporter:
            ernieg Ernie Ghiglione
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development